searchNodes=[{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html","title":"GoogleApi.StreetViewPublish.V1.Api.Photo","type":"module","doc":"API calls for all endpoints tagged Photo."},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_create/3","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_create/3","type":"function","doc":"After the client finishes uploading the photo with the returned UploadRef, CreatePhoto publishes the uploaded Photo to Street View on Google Maps. Currently, the only way to set heading, pitch, and roll in CreatePhoto is through the Photo Sphere XMP metadata in the photo bytes. CreatePhoto ignores the &#x60;pose.heading&#x60;, &#x60;pose.pitch&#x60;, &#x60;pose.roll&#x60;, &#x60;pose.altitude&#x60;, and &#x60;pose.level&#x60; fields in Pose. This method returns the following error codes: google.rpc.Code.INVALID_ARGUMENT if the request is malformed or if the uploaded photo is not a 360 photo. google.rpc.Code.NOT_FOUND if the upload reference does not exist. * google.rpc.Code.RESOURCE_EXHAUSTED if the account has reached the storage limit. Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Photo): Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.Photo{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_delete/4","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_delete/4","type":"function","doc":"Deletes a Photo and its metadata. This method returns the following error codes: google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested photo. google.rpc.Code.NOT_FOUND if the photo ID does not exist. Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server photo_id (String.t): Required. ID of the Photo. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_get/4","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_get/4","type":"function","doc":"Gets the metadata of the specified Photo. This method returns the following error codes: google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested Photo. google.rpc.Code.NOT_FOUND if the requested Photo does not exist. * google.rpc.Code.UNAVAILABLE if the requested Photo is still being indexed. Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server photo_id (String.t): Required. ID of the Photo. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :languageCode (String.t): The BCP-47 language code, such as &quot;en-US&quot; or &quot;sr-Latn&quot;. For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. If language_code is unspecified, the user&#39;s language preference for Google services is used. :view (String.t): Specifies if a download URL for the photo bytes should be returned in the Photo response. Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.Photo{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_start_upload/3","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_start_upload/3","type":"function","doc":"Creates an upload session to start uploading photo bytes. The method uses the upload URL of the returned UploadRef to upload the bytes for the Photo. In addition to the photo requirements shown in https://support.google.com/maps/answer/7012050?hl&#x3D;en&amp;ref_topic&#x3D;6275604, the photo must meet the following requirements: Photo Sphere XMP metadata must be included in the photo medadata. See https://developers.google.com/streetview/spherical-metadata for the required fields. The pixel size of the photo must meet the size requirements listed in https://support.google.com/maps/answer/7012050?hl&#x3D;en&amp;ref_topic&#x3D;6275604, and the photo must be a full 360 horizontally. After the upload completes, the method uses UploadRef with CreatePhoto to create the Photo object entry. Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Empty): Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.UploadRef{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photo.html#streetviewpublish_photo_update/4","title":"GoogleApi.StreetViewPublish.V1.Api.Photo.streetviewpublish_photo_update/4","type":"function","doc":"Updates the metadata of a Photo, such as pose, place association, connections, etc. Changing the pixels of a photo is not supported. Only the fields specified in the updateMask field are used. If &#x60;updateMask&#x60; is not present, the update applies to all fields. This method returns the following error codes: google.rpc.Code.PERMISSION_DENIED if the requesting user did not create the requested photo. google.rpc.Code.INVALID_ARGUMENT if the request is malformed. google.rpc.Code.NOT_FOUND if the requested photo does not exist. google.rpc.Code.UNAVAILABLE if the requested Photo is still being indexed. Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server id (String.t): Required. A unique identifier for a photo. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :updateMask (String.t): Mask that identifies fields on the photo metadata to update. If not present, the old Photo metadata is entirely replaced with the new Photo metadata in this request. The update fails if invalid fields are specified. Multiple fields can be specified in a comma-delimited list. The following fields are valid: &#x60;pose.heading&#x60; &#x60;pose.latLngPair&#x60; &#x60;pose.pitch&#x60; &#x60;pose.roll&#x60; &#x60;pose.level&#x60; &#x60;pose.altitude&#x60; &#x60;connections&#x60; &#x60;places&#x60; &lt;aside class&#x3D;&quot;note&quot;&gt;&lt;b&gt;Note:&lt;/b&gt; When updateMask contains repeated fields, the entire set of repeated values get replaced with the new contents. For example, if updateMask contains &#x60;connections&#x60; and &#x60;UpdatePhotoRequest.photo.connections&#x60; is empty, all connections are removed.&lt;/aside&gt; :body (Photo): Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.Photo{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html","title":"GoogleApi.StreetViewPublish.V1.Api.Photos","type":"module","doc":"API calls for all endpoints tagged Photos."},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_delete/3","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_delete/3","type":"function","doc":"Deletes a list of Photos and their metadata. Note that if BatchDeletePhotos fails, either critical fields are missing or there is an authentication error. Even if BatchDeletePhotos succeeds, individual photos in the batch may have failures. These failures are specified in each PhotoResponse.status in BatchDeletePhotosResponse.results. See DeletePhoto for specific failures that can occur per photo. Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchDeletePhotosRequest): Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_get/3","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_get/3","type":"function","doc":"Gets the metadata of the specified Photo batch. Note that if BatchGetPhotos fails, either critical fields are missing or there is an authentication error. Even if BatchGetPhotos succeeds, individual photos in the batch may have failures. These failures are specified in each PhotoResponse.status in BatchGetPhotosResponse.results. See GetPhoto for specific failures that can occur per photo. Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :languageCode (String.t): The BCP-47 language code, such as &quot;en-US&quot; or &quot;sr-Latn&quot;. For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. If language_code is unspecified, the user&#39;s language preference for Google services is used. :photoIds ([String.t]): Required. IDs of the Photos. For HTTP GET requests, the URL query parameter should be &#x60;photoIds&#x3D;&lt;id1&gt;&amp;photoIds&#x3D;&lt;id2&gt;&amp;...&#x60;. :view (String.t): Specifies if a download URL for the photo bytes should be returned in the Photo response. Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_batch_update/3","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_batch_update/3","type":"function","doc":"Updates the metadata of Photos, such as pose, place association, connections, etc. Changing the pixels of photos is not supported. Note that if BatchUpdatePhotos fails, either critical fields are missing or there is an authentication error. Even if BatchUpdatePhotos succeeds, individual photos in the batch may have failures. These failures are specified in each PhotoResponse.status in BatchUpdatePhotosResponse.results. See UpdatePhoto for specific failures that can occur per photo. Only the fields specified in updateMask field are used. If &#x60;updateMask&#x60; is not present, the update applies to all fields. The number of UpdatePhotoRequest messages in a BatchUpdatePhotosRequest must not exceed 20. &lt;aside class&#x3D;&quot;note&quot;&gt;&lt;b&gt;Note:&lt;/b&gt; To update Pose.altitude, Pose.latLngPair has to be filled as well. Otherwise, the request will fail.&lt;/aside&gt; Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (BatchUpdatePhotosRequest): Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Api.Photos.html#streetviewpublish_photos_list/3","title":"GoogleApi.StreetViewPublish.V1.Api.Photos.streetviewpublish_photos_list/3","type":"function","doc":"Lists all the Photos that belong to the user. &lt;aside class&#x3D;&quot;note&quot;&gt;&lt;b&gt;Note:&lt;/b&gt; Recently created photos that are still being indexed are not returned in the response.&lt;/aside&gt; Parameters connection (GoogleApi.StreetViewPublish.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :filter (String.t): The filter expression. For example: &#x60;placeId&#x3D;ChIJj61dQgK6j4AR4GeTYWZsKWw&#x60;. The only filter supported at the moment is &#x60;placeId&#x60;. :languageCode (String.t): The BCP-47 language code, such as &quot;en-US&quot; or &quot;sr-Latn&quot;. For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier. If language_code is unspecified, the user&#39;s language preference for Google services is used. :pageSize (integer()): The maximum number of photos to return. &#x60;pageSize&#x60; must be non-negative. If &#x60;pageSize&#x60; is zero or is not provided, the default page size of 100 is used. The number of photos returned in the response may be less than &#x60;pageSize&#x60; if the number of photos that belong to the user is less than &#x60;pageSize&#x60;. :pageToken (String.t): The nextPageToken value returned from a previous ListPhotos request, if any. :view (String.t): Specifies if a download URL for the photos bytes should be returned in the Photos response. Returns {:ok, %GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html","title":"GoogleApi.StreetViewPublish.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.StreetViewPublish.V1."},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#delete/3","title":"GoogleApi.StreetViewPublish.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#delete!/3","title":"GoogleApi.StreetViewPublish.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#execute/2","title":"GoogleApi.StreetViewPublish.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#get/3","title":"GoogleApi.StreetViewPublish.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#get!/3","title":"GoogleApi.StreetViewPublish.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#head/3","title":"GoogleApi.StreetViewPublish.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#head!/3","title":"GoogleApi.StreetViewPublish.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#new/0","title":"GoogleApi.StreetViewPublish.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#new/1","title":"GoogleApi.StreetViewPublish.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#options/3","title":"GoogleApi.StreetViewPublish.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#options!/3","title":"GoogleApi.StreetViewPublish.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#patch/4","title":"GoogleApi.StreetViewPublish.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#patch!/4","title":"GoogleApi.StreetViewPublish.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#post/4","title":"GoogleApi.StreetViewPublish.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#post!/4","title":"GoogleApi.StreetViewPublish.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#put/4","title":"GoogleApi.StreetViewPublish.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#put!/4","title":"GoogleApi.StreetViewPublish.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#request/2","title":"GoogleApi.StreetViewPublish.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#request!/2","title":"GoogleApi.StreetViewPublish.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#trace/3","title":"GoogleApi.StreetViewPublish.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#trace!/3","title":"GoogleApi.StreetViewPublish.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.StreetViewPublish.V1.Connection.html#t:option/0","title":"GoogleApi.StreetViewPublish.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Deserializer.html","title":"GoogleApi.StreetViewPublish.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.html","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest","type":"module","doc":"Request to delete multiple Photos. Attributes photoIds ([String.t]): Required. IDs of the Photos. HTTP GET requests require the following syntax for the URL query parameter: &#x60;photoIds&#x3D;&lt;id1&gt;&amp;photoIds&#x3D;&lt;id2&gt;&amp;...&#x60;. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.html","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse","type":"module","doc":"Response to batch delete of one or more Photos. Attributes status ([Status]): The status for the operation to delete a single Photo in the batch request. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.BatchDeletePhotosResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.html","title":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse","type":"module","doc":"Response to batch get of Photos. Attributes results ([PhotoResponse]): List of results for each individual Photo requested, in the same order as the requests in BatchGetPhotos. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.BatchGetPhotosResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.html","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest","type":"module","doc":"Request to update the metadata of photos. Updating the pixels of photos is not supported. Attributes updatePhotoRequests ([UpdatePhotoRequest]): Required. List of UpdatePhotoRequests. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.html","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse","type":"module","doc":"Response to batch update of metadata of one or more Photos. Attributes results ([PhotoResponse]): List of results for each individual Photo updated, in the same order as the request. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.BatchUpdatePhotosResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Connection.html","title":"GoogleApi.StreetViewPublish.V1.Model.Connection","type":"module","doc":"A connection is the link from a source photo to a destination photo. Attributes target (PhotoId): Required. The destination of the connection from the containing photo to another photo. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Connection.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Connection.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Connection.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Empty.html","title":"GoogleApi.StreetViewPublish.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Empty.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Empty.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.LatLng.html","title":"GoogleApi.StreetViewPublish.V1.Model.LatLng","type":"module","doc":"An object representing a latitude/longitude pair. This is expressed as a pair of doubles representing degrees latitude and degrees longitude. Unless specified otherwise, this must conform to the &lt;a href&#x3D;&quot;http://www.unoosa.org/pdf/icg/2012/template/WGS_84.pdf&quot;&gt;WGS84 standard&lt;/a&gt;. Values must be within normalized ranges. Attributes latitude (float()): The latitude in degrees. It must be in the range [-90.0, +90.0]. Defaults to: null. longitude (float()): The longitude in degrees. It must be in the range [-180.0, +180.0]. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.LatLng.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.LatLng.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.LatLng.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.LatLng.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Level.html","title":"GoogleApi.StreetViewPublish.V1.Model.Level","type":"module","doc":"Level information containing level number and its corresponding name. Attributes name (String.t): Required. A name assigned to this Level, restricted to 3 characters. Consider how the elevator buttons would be labeled for this level if there was an elevator. Defaults to: null. number (float()): Floor number, used for ordering. 0 indicates the ground level, 1 indicates the first level above ground level, -1 indicates the first level under ground level. Non-integer values are OK. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Level.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Level.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Level.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Level.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.html","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse","type":"module","doc":"Response to list all photos that belong to a user. Attributes nextPageToken (String.t): Token to retrieve the next page of results, or empty if there are no more results in the list. Defaults to: null. photos ([Photo]): List of photos. The pageSize field in the request determines the number of items returned. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.ListPhotosResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Operation.html","title":"GoogleApi.StreetViewPublish.V1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (boolean()): If the value is &#x60;false&#x60;, it means the operation is still in progress. If &#x60;true&#x60;, the operation is completed, and either &#x60;error&#x60; or &#x60;response&#x60; is available. Defaults to: null. error (Status): The error result of the operation in case of failure or cancellation. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. Defaults to: null. name (String.t): The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the &#x60;name&#x60; should be a resource name ending with &#x60;operations/{unique_id}&#x60;. Defaults to: null. response (%{optional(String.t) &#x3D;&gt; String.t}): The normal response of the operation in case of success. If the original method returns no data on success, such as &#x60;Delete&#x60;, the response is &#x60;google.protobuf.Empty&#x60;. If the original method is standard &#x60;Get&#x60;/&#x60;Create&#x60;/&#x60;Update&#x60;, the response should be the resource. For other methods, the response should have the type &#x60;XxxResponse&#x60;, where &#x60;Xxx&#x60; is the original method name. For example, if the original method name is &#x60;TakeSnapshot()&#x60;, the inferred response type is &#x60;TakeSnapshotResponse&#x60;. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Operation.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Operation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Operation.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Operation.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Photo.html","title":"GoogleApi.StreetViewPublish.V1.Model.Photo","type":"module","doc":"Photo is used to store 360 photos along with photo metadata. Attributes captureTime (DateTime.t): Absolute time when the photo was captured. When the photo has no exif timestamp, this is used to set a timestamp in the photo metadata. Defaults to: null. connections ([Connection]): Connections to other photos. A connection represents the link from this photo to another photo. Defaults to: null. downloadUrl (String.t): Output only. The download URL for the photo bytes. This field is set only when GetPhotoRequest.view is set to PhotoView.INCLUDE_DOWNLOAD_URL. Defaults to: null. mapsPublishStatus (String.t): Output only. Status in Google Maps, whether this photo was published or rejected. Defaults to: null. Enum - one of [UNSPECIFIED_MAPS_PUBLISH_STATUS, PUBLISHED, REJECTED_UNKNOWN] photoId (PhotoId): Required when updating a photo. Output only when creating a photo. Identifier for the photo, which is unique among all photos in Google. Defaults to: null. places ([Place]): Places where this photo belongs. Defaults to: null. pose (Pose): Pose of the photo. Defaults to: null. shareLink (String.t): Output only. The share link for the photo. Defaults to: null. thumbnailUrl (String.t): Output only. The thumbnail URL for showing a preview of the given photo. Defaults to: null. transferStatus (String.t): Output only. Status of rights transfer on this photo. Defaults to: null. Enum - one of [TRANSFER_STATUS_UNKNOWN, NEVER_TRANSFERRED, PENDING, COMPLETED, REJECTED, EXPIRED, CANCELLED, RECEIVED_VIA_TRANSFER] uploadReference (UploadRef): Required when creating a photo. Input only. The resource URL where the photo bytes are uploaded to. Defaults to: null. viewCount (String.t): Output only. View count of the photo. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Photo.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Photo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Photo.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Photo.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.html","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoId","type":"module","doc":"Identifier for a Photo. Attributes id (String.t): Required. A unique identifier for a photo. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoId.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.html","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse","type":"module","doc":"Response payload for a single Photo in batch operations including BatchGetPhotos and BatchUpdatePhotos. Attributes photo (Photo): The Photo resource, if the request was successful. Defaults to: null. status (Status): The status for the operation to get or update a single photo in the batch request. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.PhotoResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Place.html","title":"GoogleApi.StreetViewPublish.V1.Model.Place","type":"module","doc":"Place metadata for an entity. Attributes languageCode (String.t): Output-only. The language_code that the name is localized with. This should be the language_code specified in the request, but may be a fallback. Defaults to: null. name (String.t): Output-only. The name of the place, localized to the language_code. Defaults to: null. placeId (String.t): Place identifier, as described in https://developers.google.com/places/place-id. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Place.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Place.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Place.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Place.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Pose.html","title":"GoogleApi.StreetViewPublish.V1.Model.Pose","type":"module","doc":"Raw pose measurement for an entity. Attributes accuracyMeters (float()): The estimated horizontal accuracy of this pose in meters with 68% confidence (one standard deviation). For example, on Android, this value is available from this method: https://developer.android.com/reference/android/location/Location#getAccuracy(). Other platforms have different methods of obtaining similar accuracy estimations. Defaults to: null. altitude (float()): Altitude of the pose in meters above WGS84 ellipsoid. NaN indicates an unmeasured quantity. Defaults to: null. heading (float()): Compass heading, measured at the center of the photo in degrees clockwise from North. Value must be &gt;&#x3D;0 and &lt;360. NaN indicates an unmeasured quantity. Defaults to: null. latLngPair (LatLng): Latitude and longitude pair of the pose, as explained here: https://cloud.google.com/datastore/docs/reference/rest/Shared.Types/LatLng When creating a Photo, if the latitude and longitude pair are not provided, the geolocation from the exif header is used. A latitude and longitude pair not provided in the photo or exif header causes the photo process to fail. Defaults to: null. level (Level): Level (the floor in a building) used to configure vertical navigation. Defaults to: null. pitch (float()): Pitch, measured at the center of the photo in degrees. Value must be &gt;&#x3D;-90 and &lt;&#x3D; 90. A value of -90 means looking directly down, and a value of 90 means looking directly up. NaN indicates an unmeasured quantity. Defaults to: null. roll (float()): Roll, measured in degrees. Value must be &gt;&#x3D; 0 and &lt;360. A value of 0 means level with the horizon. NaN indicates an unmeasured quantity. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Pose.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Pose.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Pose.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Pose.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Status.html","title":"GoogleApi.StreetViewPublish.V1.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Status.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.Status.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.Status.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.Status.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.html","title":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest","type":"module","doc":"Request to update the metadata of a Photo. Updating the pixels of a photo is not supported. Attributes photo (Photo): Required. Photo object containing the new metadata. Defaults to: null. updateMask (String.t): Mask that identifies fields on the photo metadata to update. If not present, the old Photo metadata is entirely replaced with the new Photo metadata in this request. The update fails if invalid fields are specified. Multiple fields can be specified in a comma-delimited list. The following fields are valid: &#x60;pose.heading&#x60; &#x60;pose.latLngPair&#x60; &#x60;pose.pitch&#x60; &#x60;pose.roll&#x60; &#x60;pose.level&#x60; &#x60;pose.altitude&#x60; &#x60;connections&#x60; &#x60;places&#x60; &lt;aside class&#x3D;&quot;note&quot;&gt;&lt;b&gt;Note:&lt;/b&gt; When updateMask contains repeated fields, the entire set of repeated values get replaced with the new contents. For example, if updateMask contains &#x60;connections&#x60; and &#x60;UpdatePhotoRequest.photo.connections&#x60; is empty, all connections are removed.&lt;/aside&gt; Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.UpdatePhotoRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.html","title":"GoogleApi.StreetViewPublish.V1.Model.UploadRef","type":"module","doc":"Upload reference for media files. Attributes uploadUrl (String.t): Required. An upload reference should be unique for each user. It follows the form: &quot;https://streetviewpublish.googleapis.com/media/user/{account_id}/photo/{upload_reference}&quot; Defaults to: null."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.html#decode/2","title":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.html#t:t/0","title":"GoogleApi.StreetViewPublish.V1.Model.UploadRef.t/0","type":"type","doc":""},{"ref":"GoogleApi.StreetViewPublish.V1.RequestBuilder.html","title":"GoogleApi.StreetViewPublish.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]